@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap" );
*
{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}
body
{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #27282c;
    flex-direction: column;
    gap: 50px;
}
a
{
    position: relative;
    background: #fff;
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 1.5rem;
    letter-spacing: 0.1rem;
    font-weight: 400;
    padding: 10px 30px;
    transition: 0.5s;
}
a:hover 
{
    background: var(--clr);
    color: var(--clr);
    letter-spacing: 0.25;
    box-shadow: 0 0 35px var(--clr);
}
a:before
{
    content: '';
    position: absolute;
    inset: 2px;
    background: #27282c;
}
a span
{
    position: relative;
    z-index: 1;
}
a i
{
    position: absolute;
    inset: 0;
    display: block;
}
a i::before
{
    content: '';
    position: absolute;
    top: 0;
    left: 80%;
    width: 10px;
    height: 4px;
    background: #27282c;
    transform: translate(-50%) skew(325deg);
    transform: 0.5s;
}
a:hover i::before
{
    width: 20px;
    left: 20%;
}
a i::after
{
    content: '';
    position: absolute;
    bottom: 0;
    left: 20%;
    width: 10px;
    height: 4px;
    background: #27282c;
    transform: translate(-50%) skew(325deg);
    transform: 0.5s;
}
a:hover i::after
{
    width: 20px;
    left: 80%;
}
